USE [Database]

IF OBJECT_ID('[Procedures].[rename_product_type]', 'P') IS NOT NULL
  DROP PROCEDURE [Procedures].[rename_product_type];
GO
CREATE PROCEDURE [Procedures].[rename_product_type]
  @product_type_id AS INT,
  @name            AS NVARCHAR(128)
AS
 UPDATE [Tables].[product_types]
 SET
   [name] = @name
 WHERE [id] = @product_type_id;
GO